function y = expBound(x, transform)

% EXPBOUND Constrains a parameter to be positive through exponentiation.
%
% y = expBound(x, transform)

% Copyright (c) 2004 Neil D. Lawrence
% File version 1.1, Tue Jun 15 14:38:11 2004
% OPTIMI toolbox version 0.11



limVal = 36;
switch transform
 case 'atox'
  index = find(x<-limVal);
  y(index) = eps;
  x(index) = NaN;
  index = find(x<limVal);
  y(index) = exp(x(index));
  x(index) = NaN;
  index = find(~isnan(x));
  if ~isempty(index)
    y(index) = exp(limVal);
  end
 case 'xtoa'
  y = log(x);
 case 'gradfact'
  y = x;
end
